summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:55:04 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:04 +0200
commit6bb8103bb61b3fc901342e600b7b117a027a90a7 (patch)
tree76c637af536076be9cc678e817cab3984550791d /network
parent5641da4c49207cd86e0518842a83d8f32334fe59 (diff)
downloadslackbuilds-6bb8103bb61b3fc901342e600b7b117a027a90a7.tar.gz
slackbuilds-6bb8103bb61b3fc901342e600b7b117a027a90a7.tar.xz
network/umtsmon: Added to 12.1 repository
Diffstat (limited to 'network')
-rw-r--r--network/umtsmon/README6
-rw-r--r--network/umtsmon/slack-desc19
-rw-r--r--network/umtsmon/umtsmon.SlackBuild75
-rw-r--r--network/umtsmon/umtsmon.info8
4 files changed, 108 insertions, 0 deletions
diff --git a/network/umtsmon/README b/network/umtsmon/README
new file mode 100644
index 0000000000..7ebdfe4025
--- /dev/null
+++ b/network/umtsmon/README
@@ -0,0 +1,6 @@
+A program to control your UMTS (and GPRS/EDGE) card: enter SIM
+PIN code, send and receive SMS and control/monitor the network
+connection.
+
+To make umtsmon work with Slackware you have to either manually
+set /usr/sbin/pppd suid root, or run umtsmon with sudo or as root. \ No newline at end of file
diff --git a/network/umtsmon/slack-desc b/network/umtsmon/slack-desc
new file mode 100644
index 0000000000..733e0226f6
--- /dev/null
+++ b/network/umtsmon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+umtsmon: umtsmon (UMTS/GPRS/EDGE Card control)
+umtsmon:
+umtsmon: umtsmon is a program to control your UMTS (and GPRS/EDGE) card:
+umtsmon: enter SIM PIN code, send and receive SMS and control/monitor the
+umtsmon: network connection.
+umtsmon:
+umtsmon: Homepage: http://umtsmon.sourceforge.net
+umtsmon:
+umtsmon:
+umtsmon:
+umtsmon:
diff --git a/network/umtsmon/umtsmon.SlackBuild b/network/umtsmon/umtsmon.SlackBuild
new file mode 100644
index 0000000000..6983d781b2
--- /dev/null
+++ b/network/umtsmon/umtsmon.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for umtsmon
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=umtsmon
+VERSION=0.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+qmake
+sed -i "s/-O2/$SLKCFLAGS/g" Makefile
+make -k
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/umtsmon/translations
+install -D -m 0755 umtsmon $PKG/usr/bin/
+install -D -m 0755 i18n/*.ts $PKG/usr/share/umtsmon/translations/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALLING README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/umtsmon/umtsmon.info b/network/umtsmon/umtsmon.info
new file mode 100644
index 0000000000..60bacdbc0e
--- /dev/null
+++ b/network/umtsmon/umtsmon.info
@@ -0,0 +1,8 @@
+PRGNAM="umtsmon"
+VERSION="0.9"
+HOMEPAGE="http://umtsmon.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/umtsmon/umtsmon-0.9.src.tar.gz"
+MD5SUM="2f9260d1fc69b230cf0035efa1a962f0"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="rworkman"